Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.swt
Class DetailDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.emf.ecp.view.spi.table.swt.DetailDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class DetailDialog

extends org.eclipse.jface.dialogs.Dialog

A dialog allowing to edit an `EObject`.

Author:
  Eugen Neufeld

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`DetailDialog(org.eclipse.swt.widgets.Shell parentShell, org.eclipse.emf.ecore.EObject selection, VTableControl tableControl, VView view)` Creates a dialog allowing to edit an `EObject`.

Method Summary
`boolean` | `close()`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DetailDialog

    public DetailDialog(org.eclipse.swt.widgets.Shell parentShell,
                        org.eclipse.emf.ecore.EObject selection,
                        VTableControl tableControl,
                        VView view)

  Creates a dialog allowing to edit an `EObject`.

  Parameters:
    `parentShell` - the `Shell` to use in the dialog
    `selection` - the `EObject` to edit
    `tableControl` - the `VTableControl`
    `view` - the view model for the detail dialog. May not be `null`.
  Since:
    1.5

Method Detail

### close

    public boolean close()

  Overrides:
    `close` in class `org.eclipse.jface.dialogs.Dialog`
  See Also:
    `Dialog.close()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.